/* This file adjusts Epsilon for use with IBM code page 865. It contains   *
 * scraps of code from the distribution, so the following notice should be *
 * included. */

/************************************************************************
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*  "EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.           *
*                                                                       *
*  Copyright (C) 1985, 1994 Lugaru Software Ltd.  All rights reserved.  *
*                                                                       *
* Limited permission is hereby granted to reproduce and modify this     *
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in  *
* any such reproduction or modification.                                *
************************************************************************/

#include "eel.h" /* load standard defs */

#define UCLC(up, low)   _def_char_class[low] = C_LOWER, \
         _def_char_class[up] = C_UPPER, \
         _def_case_map[low] = _def_srch_case_map[low] = up, \
         _def_case_map[up] = low

/* Define word regexp */
volatile user char default_word[60] = "[0-9_a-zA-Z--]+";   

/* Fix window frames */
volatile char _display_characters[75] = DISPCHARS;

when_loading() /* execute when loaded */
{
   int i;

   word_pattern.default = default_word;    

/* Case conversion; note that many letters have no upper case. */

   for (i = 128; i < 256; i++)
      _def_case_map[i] = _def_srch_case_map[i] = i;

   for (i = 128; i < 256; i++)
      _def_char_class[i] = 0;

   for (i = ''; i < ''; i++)
      _def_char_class[i] = C_LOWER;
   for (i = ''; i < ''; i++)
      _def_char_class[i] = C_LOWER;

   UCLC('', '');
   UCLC('', '');
   UCLC('', '');
   UCLC('', '');
   UCLC('', '');
   UCLC('', '');
   UCLC('', '');
   UCLC('', '');
   UCLC('', '');
}
